# Max Send Bot Action

Max sends a bot action to the specified chat. The action refers to displaying information in the chat that the bot is typing a message, sending a photo, etc.

<table data-header-hidden><thead><tr><th width="215" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Connector</td><td valign="top">[Link] Connection object.</td></tr><tr><td valign="top">Chat ID</td><td valign="top">[Text] Unique chat identifier.</td></tr><tr><td valign="top">Action</td><td valign="top"><p>[Text] Action type:</p><ul><li>"typing_on" — Bot is typing a message;</li><li>"sending_photo" — Bot is sending a photo;</li><li>"sending_video" — Bot is sending a video;</li><li>"sending_audio" — Bot is sending an audio file;</li><li>"sending_file" — Bot is sending a file;</li><li>"mark_seen" — Bot marks messages as read.</li></ul></td></tr><tr><td valign="top">Result</td><td valign="top">[Link] Object with the operation result..</td></tr><tr><td valign="top">Error Handling Level</td><td valign="top"><p>Select the error handling level.</p><p>Possible values:</p><ul><li>"Default" - by default;</li><li>"Ignore" - errors are ignored;</li><li>"Handle" - errors are handled.</li></ul><p>If "Default" is selected, the value from the "Start" block of this diagram will be used.</p></td></tr><tr><td valign="top">Message Level</td><td valign="top"><p>Select the message level that blocks will output during operation.</p><p>Possible values:</p><ul><li>"Default" - by default;</li><li>"Release" - output is disabled;</li><li>"Debug" - outputs main information;</li><li>"Detailed" - outputs detailed information.</li></ul><p>If "Default" is selected, the value from the "Start" block of this diagram will be used.</p></td></tr><tr><td valign="top">Error Message</td><td valign="top">[Text] Returns detailed information about the error in case of incorrect execution of the block's work.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sherparpa.ru/en/sherpa-rpa/sherpa-designer/spravochnik-blokov/max/max-otpravit-deistvie-bota.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
